Skip to main content
GET
/
v1
/
quote
/
payment_options
List Payment Options
curl --request GET \
  --url https://api.sandbox.busha.so/v1/quote/payment_options \
  --header 'Authorization: Bearer <token>'
{ "status": "success", "message": "message for success", "data": [ { "channel": "<string>", "name": "<string>", "description": "<string>", "currency": "BTC", "payment_method_ids": [ "bus_123456789" ], "maximum_fee": "100", "minimum_fee": "100", "maximum_amount": "100", "minimum_amount": "100", "recommended": true, "new": true, "support_conversion": true, "meta": { "payment_method_limits": {}, "field_requirements": {} } } ] }

Documentation Index

Fetch the complete documentation index at: https://docs.busha.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Query Parameters

currency
string

The currency to get payment options for.

Example:

"USD"

support_conversion
boolean

This shows if the payment options is supported for conversions

type
enum<string>

The type of payment options to retrieve.

Available options:
withdraw,
deposit
Example:

"withdraw"

amount
number

The amount to get payment options for.

Example:

1500

purpose
enum<string>

Filter payment options by intended use case.

Available options:
wallet,
auto_save,
auto_buy,
savings,
loans

Response

Payment Options List Response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object[]
required